Atualiza valores de contato
curl --request PATCH \
--url https://api.example.com/unidade-negocio/{unidadeNegocioId}/contato \
--header 'Content-Type: application/json' \
--data '
{
"telefoneCelular": "15997000000",
"email": "email@pontua.com.br",
"endereco": {
"rua": "Rua da Felicidade",
"numero": "s/n",
"cidade": "Barreiras",
"estado": "BA",
"cep": "47803658",
"complemento": "Sombra da Tarde",
"bairro": "Jardim America"
}
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
telefoneCelular: '15997000000',
email: 'email@pontua.com.br',
endereco: {
rua: 'Rua da Felicidade',
numero: 's/n',
cidade: 'Barreiras',
estado: 'BA',
cep: '47803658',
complemento: 'Sombra da Tarde',
bairro: 'Jardim America'
}
})
};
fetch('https://api.example.com/unidade-negocio/{unidadeNegocioId}/contato', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/unidade-negocio/{unidadeNegocioId}/contato"
payload = {
"telefoneCelular": "15997000000",
"email": "email@pontua.com.br",
"endereco": {
"rua": "Rua da Felicidade",
"numero": "s/n",
"cidade": "Barreiras",
"estado": "BA",
"cep": "47803658",
"complemento": "Sombra da Tarde",
"bairro": "Jardim America"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/unidade-negocio/{unidadeNegocioId}/contato"
payload := strings.NewReader("{\n \"telefoneCelular\": \"15997000000\",\n \"email\": \"email@pontua.com.br\",\n \"endereco\": {\n \"rua\": \"Rua da Felicidade\",\n \"numero\": \"s/n\",\n \"cidade\": \"Barreiras\",\n \"estado\": \"BA\",\n \"cep\": \"47803658\",\n \"complemento\": \"Sombra da Tarde\",\n \"bairro\": \"Jardim America\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"unidadeNegocioId": "5f4b3b3b-4b3b-4b3b-4b3b-4b3b4b3b4b3b",
"success": true
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Unidade de Negócio
Atualiza valores de contato
PATCH
/
unidade-negocio
/
{unidadeNegocioId}
/
contato
Atualiza valores de contato
Path Parameters
ID da unidade de negócio
Body
application/json
Dados para a atualização de contato
Digitos do número de celular
Example:
"15997000000"
Email cadastrado
Example:
"email@pontua.com.br"
Endereço da unidade de negócio
Show child attributes
Show child attributes
Digitos do número de telefone
Example:
"1540028922"
Email dedicado para notificações
Example:
"email2@pontua.com.br"